# Class BrowserComponent.JSExpression

java.lang.Object
com.codename1.ui.BrowserComponent.JSExpression

Enclosing class:
  `BrowserComponent`

public static class BrowserComponent.JSExpression extends Object
A wrapper class for a literal javascript expression that can be passed as an arg in `java.lang.Object[])`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSExpression(String expression)`
  Creates a literal javascript expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Gets the javascript expression as a string.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### JSExpression

    public JSExpression(String expression)

    Creates a literal javascript expression.

    ###### Parameters

    - `expression`: The javascript expression.

- ## Method Details

  - ### toString

    public String toString()

    Gets the javascript expression as a string.

    ###### Returns

    The javascript literal expression.

    Overrides:
      `toString` in class `Object`